Unit taet2z_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AET2Z_p;

function taet2z: String;

implementation

function taet2z: String;
var
N,I,IERR :Integer;
WR :Array [0..3] of Extended;
WI :Array [0..3] of Extended;
const
HR :Array [0..15] of Extended = ( 4.0e0,3.0e0,0.0e0,0.0e0,-2.0e0,-3.0e0,2.0e0,
0.0e0,-2.0e0,-6.0e0,6.0e0,1.0e0,2.0e0,6.0e0,
-2.0e0,3.0e0 );
HI :Array [0..15] of Extended = ( 1.0e0,0.0e0,0.0e0,0.0e0,0.0e0,1.0e0,0.0e0,0.0e0,
0.0e0,0.0e0,1.0e0,0.0e0,0.0e0,0.0e0,0.0e0,1.0e0 );
begin
Result := '';  {   }
N := 4;
AET2Z(N,N,1,N,HR,HI,WR,WI,IERR);
Result := Result + Format('%5d ',[IERR]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to N do
 begin
  Result := Result + Format('%20.16f ',[WR[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to N do
 begin
  Result := Result + Format('%20.16f ',[WI[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('taet2z',Result);  {     taet2z.res }
exit;
end;

end.
